/* tr8.c */
#include <stdio.h>
#include <stdlib.h>
#include <wildargs.h>

int get_fileline(FILE *fp)
{
	int c, line;

	line = 0;
	while ((c = fgetc(fp)) != EOF) {
		if (c == '\n')
			line++;
	}
	return (line);
}

long get_filesize(FILE *fp)
{
	fseek(fp, 0, SEEK_END);
	return (ftell(fp));
}

int main(int argc, char **argv)
{
	FILE *fp, *fwp;
	int i;

	if (argc == 1) {
		printf("Usage: tr8 t@C\n");
		exit(1);
	}

	argv++;
	argc--;
	for (i = 0 ; i < argc ; i++) {
		fp = fopen(argv[i], "rb");
		if (fp == NULL)
			continue;

		printf("%-12s => %lu bytes  %d line\n", 
				argv[i], 
				get_filesize(fp),
				get_fileline(fp));

		fclose(fp);
	}

	return 0;
}


